'''
Cafe Ban v1.3
Writen by RideGuy
Concept by Hacker Killer

Bans all STEAMIDs that are suspected to be a cafe account.  All cafe accounts
are 7 digits long and start with 7.  You can prevent legit STEAMIDs that fall
into this criteria from being banned by adding them to the whitelist.txt file.
Example cafe account STEAM_0:x:7xxxxxx
'''

import es

es.ServerVar('cafeban', 1.3).makepublic()
whiteList = []

def load():
    getWhiteList()

def player_activate(event_var):
    steamID = event_var['es_steamid']
    
    if len(steamID) != 17:
        return
    
    if steamID[10:11] != '7':
        return
    
    if steamID in whiteList:
        return
    
    userid = event_var['userid']
    playerName = event_var['es_username']
    
    es.server.queuecmd('banid 0 %s' % steamID)
    es.server.queuecmd('writeid')
    es.server.queuecmd('kickid %s "Kicked for using a Cafe Account"' % userid)
    
    bannedListFile = open(es.getAddonPath('cafeban') + '/bannedlist.txt', 'a')
    bannedListFile.write('%s - %s\n' % (steamID, playerName))
    bannedListFile.flush()
    bannedListFile.close()

def getWhiteList():
    whiteListFile = open(es.getAddonPath('cafeban') + '/whitelist.txt', 'r')
    for line in whiteListFile:
        line = line.strip()
        if not line.startswith('//') and line != '':
            whiteList.append(line)